#version 330 core
precision highp float;

attribute vec3 position;
attribute vec3 normal; // Ensure this attribute exists!

uniform mat4 Model;
uniform mat4 light_space_matrix; // This will be the Light Space Matrix (LSM)

void main() {
        vec3 pos = position;
        gl_Position = light_space_matrix * Model * vec4(pos, 1.0);
}
